#
# spec file for package zmd (Version 7.3.0.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           zmd
BuildRequires:  dbus-1-mono libzypp-zmd-backend log4net mono-basic mono-data-sqlite mono-devel perl-XML-Parser rpm-devel sqlite-devel
Url:            http://www.novell.com
Version:        7.3.0.0
Release:        0.4.25
License:        LGPL v2.1 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:        sysconfig.%{name}
Source2:        Novell.Zenworks.Zmd.SqliteClient.dll.config
Source3:        trusted-certs.tar.bz2
Source4:        zmd-po.tar.bz2
Patch0:         %{name}-makefile-docdir.patch
Patch1:         verified-certs.patch
Patch2:         dont-run-transaction-test.patch
Patch3:         retry-interval.patch
Patch4:         sleep-interval.patch
Patch5:         sysconfig-zmd.patch
Patch6:         zmd-init.patch
Patch7:         logrotate.patch
Patch8:         zmd-inventory-disable.patch
Patch9:         zmd-man_perms.patch
Patch10:        zmd-init-try-restart.patch
Patch11:        zmd-conf.patch
Patch12:        SqliteClient-dll-config-zmd.patch
Patch13:        SqliteClient-dll-config.patch
Patch14:        logrotate_Log_cs.patch
Patch15:        zmd-fswatcher-ia64.patch
Summary:        Novell ZENworks Linux Management daemon
Group:          System/Daemons
AutoReqProv:    on
PreReq:         %insserv_prereq
Requires:       libzypp-zmd-backend >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' libzypp-zmd-backend`)
Requires:       dbus-1-mono
%if 0%{?suse_version} >= 1020
Requires:       sqlite-zmd
%else
Requires:       sqlite
%endif
Obsoletes:      rcd

%description
The ZENworks daemon contains modules that execute various software
management functions. Instructions are either available or provided by
the ZLM server. The daemon is accessible from the ZLM CLI "rug" as well
as the ZLM GUI.



Authors:
--------
    Tambet Ingo <tambet@ximian.com>
    James Willcox <james@ximian.com>
    Chris Rivera <crivera@novell.com>
    Dan Mills <thunder@ximian.com>

%package devel
License:        LGPL v2.1 or later
Summary:        Development files for Red Carpet Daemon
Group:          Development/Libraries/Other
Requires:       %name = %version
Obsoletes:      rcd-devel

%description devel
This package contains the headers and pkg-config file required for
third party module development.



Authors:
--------
    Joe Shaw <joe@ximian.com>                                                                         
    Jon Trowbridge <trow@ximian.com>                                                                  

%prep
%setup -q -n %{name}-%{version} -a3 -a4
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1
%patch11
%if 0%{?suse_version} >= 1020
%patch12
%else
%patch13
%endif
%patch14
%patch15

%build
libtoolize -f
aclocal -I .
autoconf
automake
ACLOCAL="aclocal -I ." autoreconf --force --install
PKG_CONFIG="/usr/bin/pkg-config" \
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-w" \
./configure 	--prefix=%_prefix \
		--libdir=%_libdir \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--with-init-script-type=lsb \
                --disable-lib-copy \
		--disable-tests \
		--enable-nm \
                --enable-zypp \
                --localstatedir=/var  
make

%install
make install DESTDIR=$RPM_BUILD_ROOT initdir=/etc/init.d
ln -sf ../../etc/init.d/novell-zmd $RPM_BUILD_ROOT/usr/sbin/rczmd
%find_lang %{name}
# ugh!
rm -rf $RPM_BUILD_ROOT/%{_libdir}/zmd/parse-metadata
# ugh(2)!
mkdir -p $RPM_BUILD_ROOT/var/cache/zmd
mkdir -p $RPM_BUILD_ROOT/var/run/zmd
# ugh (3)!
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp sysconfig.zmd $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.zmd
install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 zmd-messages $RPM_BUILD_ROOT/etc/logrotate.d/zmd-messages
cp Novell.Zenworks.Zmd.SqliteClient.dll.config $RPM_BUILD_ROOT/usr/lib/zmd
mkdir -p $RPM_BUILD_ROOT/var/log/
touch $RPM_BUILD_ROOT/var/log/zmd-messages.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ `ps ax | grep zmd.db | wc -l` -lt 2 ] ; then
%{restart_on_update novell-zmd}
fi
if [ "$1" = 1 ]; then
%{insserv_force_if_yast novell-zmd}
fi
%{fillup_only}

%postun
%{insserv_cleanup}

%files -f %{name}.lang
%defattr(-, root, root)
%ghost %config(noreplace) /var/log/zmd-messages.log
%doc README
%dir %_sysconfdir/zmd
%config(noreplace) %_sysconfdir/zmd/zmd.conf
%dir %_sysconfdir/zmd/trusted-certs
%config(noreplace) %_sysconfdir/zmd/trusted-certs/*
%config(noreplace) %_sysconfdir/logrotate.d/zmd-messages
%{_sysconfdir}/init.d/novell-zmd
%{_sbindir}/zmd
%{_sbindir}/rczmd
%dir %{_prefix}/lib/mono/zmd
%{_prefix}/lib/mono/zmd/Novell.Zenworks.Zmd.Packaging.Public.dll
%{_prefix}/lib/mono/zmd/Novell.Zenworks.Zmd.Public.dll
%{_prefix}/lib/mono/gac/Novell.Zenworks.Zmd.Packaging.Public
%{_prefix}/lib/mono/gac/Novell.Zenworks.Zmd.Public
%{_prefix}/lib/mono/zmd/rpm-sharp.dll
%dir %{_prefix}/lib/mono/gac/rpm-sharp
%{_prefix}/lib/mono/gac/rpm-sharp/*/*
%dir %{_prefix}/lib/mono/gac/rpm-sharp/0.0.0.0__48eafe5f49a143f5
#   /usr/lib/mono/gac/rpm-sharp/0.0.0.0__48eafe5f49a143f5/rpm-sharp.dll
#   /usr/lib/mono/gac/rpm-sharp/0.0.0.0__48eafe5f49a143f5/rpm-sharp.dll.config
#   /usr/lib/mono/gac/rpm-sharp/0.0.0.0__48eafe5f49a143f5/rpm-sharp.dll.mdb
%dir %{_prefix}/lib/zmd
%{_prefix}/lib/zmd/*.dll
%{_prefix}/lib/zmd/zmd.exe
%{_prefix}/lib/zmd/zmd.exe.config
%{_prefix}/lib/zmd/*.config
%{_prefix}/lib/zmd/modules
%{_libdir}/pkgconfig/zmd-public.pc
%{_libdir}/pkgconfig/zmd-package-management.pc
%{_libdir}/pkgconfig/zmd-package-management-public.pc
%dir %{_libdir}/zmd
%{_libdir}/zmd/zmd-bin
%{_libdir}/libzmdutil.a
%{_libdir}/libzmdutil.la
%{_libdir}/libzmdutil.so
%{_libdir}/librpmglue.so
#%dir %{_mandir}/en
#%dir %{_mandir}/en/man8
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man8
%dir %{_mandir}/pt
%dir %{_mandir}/pt/man8
%{_mandir}/*/*/*.gz
%{_mandir}/*/*.gz
%{_datadir}/zmd
# XXX: should /var be replaced by a macro?
%dir /var/cache/zmd
%attr(755, root,root) /var/run/zmd
/var/adm/fillup-templates/sysconfig.zmd

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/zmd.pc
# %{_libdir}/monodoc/sources/*
%{_libdir}/librpmglue.a
%{_libdir}/librpmglue.la
%{_libdir}/pkgconfig/rpm-sharp.pc

%changelog
* Fri Jun 26 2009 tarvindkumar@novell.com 
- First code drop for SLE10 SP3.
- Synced Novell ZLM SVN to autobuild.
- Bumped zmd version to 7.3.0
- Includes fix for Bug # 280506 - files /var/log/zmd-*.og are not owned by any package. Modified zmd.spec to use the %%ghost tag    on the log file.
* Fri May 30 2008 mrashmiranjan@suse.de
- Fix for bug # 379827 move-to-sled10-sp2 patch still visible in zen-updater after it is applied
  SWAMP # 17839
* Mon May 26 2008 mrashmiranjan@suse.de
- Removed invalid distro targets oes-10-i586 and oes-10-x86_64 from ostargets.xml.
  Fixes # 393703 & 394284
* Wed Apr 23 2008 mrashmiranjan@suse.de
- Added patch zmd-fswatcher-ia64.patch to workaround mono bug # 379964
- Includes fix for Bug # 380644 - ZMD uses system proxy for IP addresses which are in exception
- Updated man pages
* Fri Apr  4 2008 mrashmiranjan@suse.de
- Fixes #364194 - Failed to parse metadata after installing move-to-sled10-sp2 patch
- Fixes automatic refresh not working.
- Contains Blackout enhancment
* Mon Mar  3 2008 ro@suse.de
- integrated change from mauro:
  - Updated translations
* Mon Mar  3 2008 mrashmiranjan@suse.de
- New source drop.
- Fixes # 355135 - zmd wake up takes rather long.
- Fixes # 359503 - rug refresh does not retrieve repoindex.xml if previous result was empty.
* Mon Feb 18 2008 mrashmiranjan@suse.de
- New source drop.
- Contains fixes for some of the issues found in Beta1 and Beta 2
- Also contains FATE # 303284
* Mon Feb  4 2008 mrashmiranjan@suse.de
- New source drop.
- Fixes bugs found in Beta1 and some older bugs of SP1.
* Fri Jan 11 2008 mrashmiranjan@suse.de
- Submitted latest code from Novell SVN. Contains remaining FATE
  enhancments and many bugfixes.
* Thu Dec  6 2007 mrashmiranjan@suse.de
- Modified zmd for FATE # 302930
* Tue Nov 20 2007 mrashmiranjan@novell.com
- First code drop for SLE10 SP2.
- Synced Novell ZLM SVN to autobuild.
- Bumped zmd version to 7.2.1
- Removed zmd-networkmanager-reconnect.diff patch as it is part of code now.
* Fri Oct 26 2007 mrashmiranjan@novell.com
- Modified zmd.spec avoid restarting of zmd if transact is running in %%post.
  i.e. zmd package is updated using zmd. In this case running zmd will restart
  itself. No need for restart by %%post. Fixes # 295894 (SWAMP ID 14112)
* Wed Aug 29 2007 mrashmiranjan@novell.com
- ShutdownManager.Restart  was getting called before ShutdownManager.Allow
  Fixed it... Also blocked ZMD from doing any kind of transaction during the 30
  seconds time period that it waits before actually restarting. Fixes # 295894
* Mon Jul 23 2007 mrashmiranjan@novell.com
- Submitted fix for following bugs.
  203051 - Online update of kernel should force reboot.
  254496 - log rotation file not included in binary RPM.
  275170 - installation of a package failed with dependencies.
* Thu May 17 2007 mrashmiranjan@novell.com
- New SOurce Drop
- Added some more try and catch to handle the exception caused
  due to restart of NetworkManager and Dbus service after package update.
  Fixes # 274964
* Wed May 16 2007 mrashmiranjan@novell.com
- Modified spec file to include logrotate file in the final rpm.
  Fixes # 275066 & 254496
* Thu May  3 2007 mrashmiranjan@suse.de
- New source drop
- Merged the DBusExceptions handler patch with code.
- Added the fix for bug # 266275
* Wed May  2 2007 crivera@suse.de
- Add a patch to handle DBusExceptions when the system bus restarts.
  This was a major problem for system upgrades.  This fixes 268071.
* Mon Apr 23 2007 mrashmiranjan@novell.com
- New source drop.
- Fixed one stability issue in ZMD which used make ZMD die after few days of run time.
* Wed Apr 18 2007 bvenugopal@suse.de
- New Source Drop
- Updated PO files to enable localization
* Fri Apr 13 2007 mrashmiranjan@novell.com
- New Source Drop.
- Bumped the zmd version from 7.1.100 to 7.2.0 as required by fix for # 260755
- Modified product_details table to add fields distribution_name,distribution_version,
  distribution_release,distribution_epoch. Bumped the DBVERSION from 4 to 5.
  Fixes # 260755
- Added support for openSUSE 10.3 and Fedora Core 6
  Fixes #  260259
* Mon Apr  2 2007 mrashmiranjan@novell.com
- New Source Drop
- Modified FromXml() to return Package[] in stead of ResolvableCatalog.Added the Package[]
  (previously ResolvableCatalog) returned by RCEPackage.FromXml to existing catalog.
  Fixes # 256941
* Mon Mar 26 2007 mrashmiranjan@novell.com
- New Source drop
- Changed catalog id from base uri(e.g. https://update.novell.com/)
  to actual url of the catalog (e.g. https://update.novell.com/repo/$RCE/SLED10-Updates/sled-10-i586)
  Fixes # 254018
- Updated man pages and po files.
* Tue Mar 13 2007 mrashmiranjan@novell.com
- New source drop.
- Removed RemoteBundleManager.patch as it is included in source.
- Fetch package only if it's of type ZenPackage Fixes #244040
- Override Verify to do nothing, as its taken care by online_update -I, and patch once
  installed cannot be removed, so Bundle status wont change too.  Fixes #237758
- Used url as well as name as hashkey for catalogs. Fixes # 252549
- Added StartListening (null) for ZMD to be compatible with Mono 1.2.3 Fixes # 244626
- Added new API ExpireAll () which clears up the entire cache. Addresses "rug cc" case.
  Call ExpireAll () instead of Expire (). Fixes 224133
* Thu Mar  8 2007 mrashmiranjan@novell.com
- Added RemoteBundleManager.patch to fix # 252078
- Modified spec file to include the patch
* Tue Feb 27 2007 mrashmiranjan@novell.com
- Added a new API FilterDuplicates() that filters
  out packages of other arch if a package of current arch is in the list of installs.
  FIxes # 239350
- Added a new API FilterDuplicates() that filters
  out packages of other arch if a package of current arch is in the list of installs.
  Fixes # 247761
- used commit in stead of rollback on exception.
  Fixes # 239350
- Modified the arguments being passed to libzypp beackend for ervice addition.
  Fixes # 233681
* Mon Feb 19 2007 bvenugopal@suse.de
- Integraded localization files for Italian, Japanese and
  Chinese (Simplified and Traditional) from SUSE #Bug 155817
* Fri Feb 16 2007 mrashmiranjan@novell.com
- Added checking if the installed bundle is locked during bundle upgrade. Fixes # 230049
* Wed Feb  7 2007 mrashmiranjan@novell.com
- Changed dllmapping from libsqlitezmd3.so.0 to libsqlite3.so.0
  in Novell.Zenworks.Zmd.Sqliteclient.dll.config
* Tue Feb  6 2007 bvenugopal@suse.de
- Updated pacakge requirements as per #241551 comments
* Tue Feb  6 2007 bvenugopal@suse.de
- corrected zmd-init.patch error
* Tue Feb  6 2007 bvenugopal@suse.de
- Removed sqlite-zmd from runtime dependencies (requires list)
- Fix for #241551
* Tue Feb  6 2007 bvenugopal@suse.de
- New source drop (r42031)
- Modified prepare to call FetchFile() on the correct bundle
  Fixes: #224807
- Bug 214770 fix
- updated localization
- Modified to take care of packages with null keys while adding a
  mount service.
- Bug 238135 fix
- Revision: 42021
- Modified reference from Mono.Data.SqliteClient to
  SqliteClient/Novell.Zenworks.Zmd.SqliteClient
- Added changes done to fix bug 232064
- Keeping the checks to execute preprepare and postprepare scripts
  only when it is running the first time not again.
- Reverted back the fix for the bug 222104 and adding a check if
  Scripts have run then save that state.
- Added a new property HasPrepareScriptsExecuted. This maintains if
  the preprepare and postprepare scripts have executed.
- File modified to resolve the rug ref hang issue when refresh process
  is already in progress.
- Added new XML-RPC method status() go give the status of ZMD whether
  its ready for transaction or not
- Added zmd-conf.patch to set zmd preferences
* Fri Jan  5 2007 bvenugopal@suse.de
- new "zmd" code drop for SLE10-SP (r39597 -> breakout/zmd branch)
- new zmd-init.patch as zmd.init.lsb.in
- "Best Package" zmd changes to support best install path.
- recent defect fixes in zmd.
* Tue Dec 12 2006 bvenugopal@suse.de
- Updated Automake Missing files in  source tar ball to compile zmd
* Thu Nov 30 2006 jpr@suse.de
- Remove zmd.db deletion, it works fine with the older sqlite version
  and can cause a hang when self updating.
* Wed Nov 29 2006 bvenugopal@suse.de
- New source drop (r37496)
- Fixes for some of the recent issues (#224168)
* Sat Nov 25 2006 olh@suse.de
- correct used of novell-zmd try-restart (#220155)
  do not start zmd if it was not running before
  fixes OOM during manual upgrade
* Tue Nov 21 2006 jpr@suse.de
- Use sqlite-zmd and require it (more of #217326)
* Mon Nov 20 2006 bvenugopal@suse.de
- New source drop (r37085)
- Fixes to some of the issues in zmd.
* Tue Nov  7 2006 ro@suse.de
- fix manpage permissions
* Fri Oct 20 2006 maw@suse.de
- New source drop (r35668) which:
- Teaches zmd about 10.2 as a target (#212252).
* Tue Oct 17 2006 maw@suse.de
- New source drop (r35478) which:
- Adds log-max-files-size pref, which is used to set log4net
  properties to ensure that zmd-messages.log stays in check
- Sets the MaxSizeRollBackups property for our log4net file
  appender, so we don't fill up /var with tons of logs (#208338
  and #207611).
* Thu Oct 12 2006 maw@suse.de
- New source drop (r35388) which:
- Filters out duplicate and old patch updates (#201768)
- Only prints transaction step and progress messages if debug
  is on
- Makes sure we listen to the Changed event when AddCatalog()
  is called, even if the catalog already exists in the database;
  this is required for existing catalogs to have their subscription
  state stay in sync with the database
- Adds triggers to automatically remove rows from delta_packages,
  patch_packages, and patch_packages_baseversions tables
- Updates DBVERSION to 4.
* Mon Oct  9 2006 maw@suse.de
- New source drop (r35239) which:
- Doesn't spin forever if the client returns no data, fixing an
  infamous 99%% cpu bug (#176367)
- Fixes db inconsistencies between libzypp and zmd (#207150)
- Removes the patch aj added, as it is now upstream.
* Thu Oct  5 2006 aj@suse.de
- Apply fix from Tambet Ingo for interaction with libzypp.
* Tue Sep 26 2006 maw@suse.de
- New source drop (r34874) which:
- Adds a build_time field to the delta_packages table
- Fixes downgrades (#200900)
- Fixes query result filtering.
* Tue Sep 19 2006 maw@suse.de
- Package directory
  /usr/lib/mono/gac/rpm-sharp/0.0.0.0__48eafe5f49a143f5, silencing
  warnings.
* Tue Sep 12 2006 maw@suse.de
- New source drop (r34403) which:
- No longer uses the query-system component of the backend, which
  should speed things up
- Now is built with --disable-redcarpet.
* Wed Aug 30 2006 maw@suse.de
- New source drop (r33979) which:
- Fixes compilation error (#202721).
* Tue Jul 18 2006 maw@suse.de
- New source drop (r32306) which:
- Traps an unhandled exception in ProcessRequest
- Has Patch.GetUpdates () only return required updates if they are
  available (#190295)
- Makes sure we call Transaction.Allow () if CheckInstalledPackages
  fails (#193212)
- Adds Get*UpdateCount (), allowing clients to get the update
  status without serializing the list of updates, which may be
  large (#191506)
- Makes sure Patch, Pattern, and Product updates are only from
  subscribed catalogs (#191506).
* Tue Jul 11 2006 maw@suse.de
- New source drop (r31898) which:
- Fixes addition of FTP YUM repositories (#191676).
* Thu Jul  6 2006 maw@suse.de
- New source drop (r31662) which:
- Fixes a parsing bug when handling exceptions of type
  UnknownKeyException (#190221).
* Sat Jul  1 2006 maw@suse.de
- Remove dont-remove-on-max-retries.patch, as it is now present
  in r31486.
* Fri Jun 30 2006 maw@suse.de
- New source drop (r31486) which:
- Fixes a problem where ServiceManager could return a reference
  that got set to null on refresh completion (#190449)
- On refresh of zypp services, only drops catalogs, doesn't clear
  them first (#188086)
- Fixes other various locking fixes (more #188086).
* Fri Jun 30 2006 maw@suse.de
- New patch (dont-remove-on-max-retries.patch) which:
- Doesn't remove services when we've reached the max no. of
  retries (#184813)
* Wed Jun 28 2006 maw@suse.de
- New source drop (r31327) which:
- Includes updated translations.
* Tue Jun 27 2006 thunder@suse.de
- Use the sha1 hash of the patch file to determine whether or not our cached
  copy is up to date.  If not, download a fresh one.  Fixes Bug #183628
- Serialize our catalog addition/removal handlers, to prevent race conditions
  in the database (#188086).
* Fri Jun 23 2006 thunder@suse.de
- New source drop (r31009):
- Parse standard error messages in RCResolverProgress.
- Use keep-alive when downloading patch files.
* Wed Jun 21 2006 thunder@suse.de
- New source drop (r30777):
- Hide username and password part of service uris if the caller
  doesn't have 'superuser' privilege. Fixes zmd part of #186842.
* Wed Jun 21 2006 thunder@suse.de
- Added a patch to disable inventory by default.
* Wed Jun 21 2006 thunder@suse.de
- New source drop (r30771):
- Reload system resolvables even if transaction fails. Fixes 186895.
- Add "updateinfo" file type to repomd.xml.
* Tue Jun 20 2006 thunder@suse.de
- New source drop (r30715):
- For yum and nu services, don't use WebCache.Exists() at all.
  Fixes #183381
* Mon Jun 19 2006 thunder@suse.de
- New source drop (r30653):
- Implement a remote call IPreferenceManager.CleanAtNextStartup()
  that makes zmd to rewrite it's sqlite database at next start and
  whatever else we might need to clean up in the future. Workaround
  for #186208.
- Fix issue with duplicates in the SystemResolvableCatalog.
* Sat Jun 17 2006 thunder@suse.de
- New source drop (r30635):
- If parse-metadata fails throw progress.Exception if it exists
  instead of a generic ZenException.  This fixes 185941.
* Sat Jun 17 2006 thunder@suse.de
- New source drop (r30603):
- Fixes strerr parsing for the 'transact' helper (#185006).
- Run update-status after adding NU services (#185924).
- Allow file URIs for YUM services.
* Fri Jun 16 2006 maw@suse.de
- New source drop (r30550) which:
- Doesn't incorrectly cache the result of previous parse-metadata
  runs (#185593 and #185206).
* Thu Jun 15 2006 maw@suse.de
- New source drop (r30481) which:
- Makes sure the security-level string is signature, checksum, or
  none (#185424)
- Doesn't set MONO_MANAGED_WATCHER
- Makes sure we set KEYRING_CALLBACK for parse-metadata so it
  prompts us with key/digest events
- Sees if the repo keys exist before we try and download them
- Doesn't download other.xml.gz from NUService (#184794).
* Wed Jun 14 2006 maw@suse.de
- New source drop (r30319) which:
- Adds GetInstalled class methods for Patch and Product to get
  installed resolvables only
- Makes sure file uris passed to service-delete are prefixed with
  file:// (#183211
- Clears the catalog before we remove it, so that any duplicates
  are correctly replaced on refresh (#183139)
- Tries to always download repomd.xml.key and repomd.xml.asc for
  YUM service; this is what the aforementioned signing.diff,
  which has no been removed, does.
* Wed Jun 14 2006 kkaempf@suse.de
- include signing.diff (rev 30270:30271) (#183381)
* Mon Jun 12 2006 maw@suse.de
- New source drop (r30207) which:
- Sets the UseBinary flag on the FtpWebRequest to true
- Uses the TYPE command to set the data type before executing the
  SIZE command, since many servers require it (#182633)
- Gets proxy settings from ~/.curlrc if available (#175617)
- Catches IOException in ProcessProgress in case the subprocess
  is dead
- Allows file bundles without a payload
- Fixes the proxy settings so that the username and password
  are only pulled from the system if we're using the system proxy
- Orders service types by priority before calling CanMount ().
- Passes empty strings for virtual path and query string when
  creating SimpleWorkerRequest instead of nulls; it used to work
  with nulls, but now we get a nice null ref exception
- Fixes a typo (#182952)
- Tries to download repmod.xml.key and repomd.xml.asc if the server
  provides patches and if the security level preference is not
  "none" (zmd side of #182222)
- Returns false in CanMount ();  NU services can't be
  auto-detected because we aren't authorized to view the content
  before the we've registered.
* Fri Jun  9 2006 maw@suse.de
- Create an entry in /etc/logrotate.d (logrotate.patch) (#182495).
* Thu Jun  8 2006 maw@suse.de
- New source drop (r29995) which:
- Marks the schedule list with view privileges
- Does Fail/Finish in the OnExit method, not OnExitInternal, as
  subclasses need the ability oto set their own failure messages
- Resets the sleep schedule before adding it
- Ensures that the sleep schedule is not started until after all
  initial services are added
- Doesn't start the sleep schedule until after remoting has
  been started.  #178389
* Tue Jun  6 2006 maw@suse.de
- Populate /var/adm/fillup-templates/sysconfig.zmd and
  /etc/sysconfig/zmd.  #162794
- s/OPTIONS/ZMD_OPTIONS/ in the init script.  More #162794
  goodness.
* Mon Jun  5 2006 maw@suse.de
- Require the version of libzypp-zmd-backend that is current at
  build time.  #158295
* Fri Jun  2 2006 maw@suse.de
- New source drop (r29634) which:
- Sees if we're updating ourself and, if so, delays the call to
  ShutdownManager.allow().  This is so the client polling
  the transaction can get the final status of the transaction
  before we restart (#179413)
- An update is now apparently a resolvable with isntalled == 0
  && status = ResolvableStatus.Broken (#180698)
- Throws an exception if parse-meratadails and handles it correctly
  where necessary (#181065).
* Thu Jun  1 2006 maw@suse.de
- New source drop (r29565) which:
- Fixes #180392
- Implements unmount for all services types
- Makes sure we properly fail the progress when we run into
  key/digest errors
- Doesn't leak sockets when setting a new one
- Makes sure new Key/Digest exceptions are serialized correctly.
* Wed May 31 2006 maw@suse.de
- New source drop (r29403) which:
- Adds new exceptions for key and digest errors
- Supports FTP service autodetection (#178832)
- Detects FTP errors correctly if the requested file size request
  fails
- Detects if a helper process exited due to a signal
- Blocks sbutdowns while helpers are running (#178144)
- Before restarting, nukes the pid file so when we start up we
  don't think another zmd is running (partial fix for #178218)
- Implements a key whitelist, exposed over remoting, to control
  zmd's behavior when the helpers raise a security error/event.
- Changes the key/digest related parsing functions to use the new
  exception types and place them in the progress objects for the
  clients to handle.  Also, sets KEYRING_CALLBACK for a few of the
  zypp helpers to turn on key/digest checking
- Throws ResolvableNotFoundException if ResolvableInfo ->
  Resolvable conversion fails. This should happen very rarely
  and only if a service is removed after a resolvable from the
  service is sent to the client and after client responds
  with it. Or, while the service is refreshing.  (partial fix
  for #176640)
- Corrects the CanMount url; the NU service was automatically
  selected for YUM services as well
- Parses key/digest status from the backend helpers
- Adds database schema version.  When opening the database and
  there is either a schema version mismatch or the database is
  corrupted, delete the database and create it again. (#165819
  and #175592)
* Thu May 25 2006 maw@suse.de
- New source drop (r29091) which:
- Further fixes restart on update.  #178218
* Thu May 25 2006 maw@suse.de
- Added a patch (sleep-interval.patch) to make zmd go to sleep
  after 30 minutes of inactivity instead of 5.
* Wed May 24 2006 maw@suse.de
- Actually restart on update.  #178218
* Mon May 22 2006 maw@suse.de
- New source drop (r28776) which:
- Handles BundleLockedExceptions
- Implements two-way communication with the helpers
- Have LookupCatalogById check the system catalog for matching
  id
- Implements GetPUpdates for products and patterns.
* Fri May 19 2006 thunder@suse.de
- New source drop (r28625) which:
- Adds initial support for parsing status messages from all helpers,
  not just the 'transaction' helper.
- Adds new status IDs for signature key and digest verification
  events from the helpers.
- Removed ostargets.xml patch, it's upstream now.
* Thu May 18 2006 maw@suse.de
- New source drop (r28510) which:
- Subscribes the catalogue of a one-catalog-only service
- Marks RemoteTransactionProgress.MediaMessage with view
  privileges, fixing #171008, #171171, and #170328.
* Tue May 16 2006 maw@suse.de
- New source drop (r28426) which:
- Improves remoting exception messages.
- Add a patch (retry-interval.patch) so that zmd will wait longer
  when retrying a service addition.
* Tue May  9 2006 maw@suse.de
- New source drop (r28129) which:
- Handles ftp connection already open response
- Allows '\' in user names
- Calls update-status after 'zypp' metadata is parsed.
* Wed May  3 2006 maw@suse.de
- Add a patch (ostargets.patch) which fixes catalog detection
  on ppc, ia64, and s390x.  Fixes #172354.
* Wed May  3 2006 maw@suse.de
- New source drop (r27768) which:
- Runs update-status after we call parse-metadata for zypp
  services.  (#170152)
* Mon May  1 2006 maw@suse.de
- New source drop (r27683) which:
- Marks a few bundle methods as view
- Allows RCEService to resume from sleep correctly.
- Remove the patch aj added on 27 April, as it is now in svn.
* Thu Apr 27 2006 aj@suse.de
- Apply patch from Chris Rivera to handle scripts correctly
  (#169805).
* Wed Apr 26 2006 maw@suse.de
- Don't require a specific version of dbus.
* Wed Apr 26 2006 maw@suse.de
- New source drop (r27550) which:
- Fixes a locking bug.
* Wed Apr 26 2006 maw@suse.de
- New source drop (r27531) which:
- Sets the proxies for FtpWebRequests
- Adds support for bundle locking
- Dramatically improves the sleep wakeup performance.
- Remove other.patch, as it is now in svn.
* Wed Apr 26 2006 aj@suse.de
- Apply patch from Tambet to not download other.xml (#159316).
* Mon Apr 24 2006 maw@suse.de
- Bring back zmd-networkmanager-reconnect.diff.
* Mon Apr 24 2006 maw@suse.de
- Set run-transaction-test to False.  (#167831).
- Remove the patch for 156995, as it is now in svn.
- Remove zmd-networkmanager-reconnect.diff for now, as it broke the
  build.
- New source drop (r27373) which:
- Disposes our FtpWebRequests to close control connections
- Dixes zmd forgetting services issue
- Adds a syslog-level preference
- Adds locking for the SqlTransaction class.
* Mon Apr 24 2006 thoenig@suse.de
- Add patch zmd-networkmanager-reconnect.diff to make ZMD resistant
  against D-BUS restarts (#167824).
- Add Requires for dbus-1-mono-0.60-27 or higher.
* Fri Apr 21 2006 aj@suse.de
- Fix 156995 - patch by Tambet Ingo.
* Thu Apr 20 2006 maw@suse.de
- New source drop (r27263) which:
- Restarts if we install patches that have RestartRequired set
- Throws an exception if there's no rollback actions to return.
  This avoids creating a useless transaction that has to be
  cancelled correctly.
* Tue Apr 18 2006 maw@suse.de
- New source drop (r27144) which:
- Parses the initial-configuration file instead of initial-service,
  if available
- Makes sure all catalogues get added to the database, not just
  ResolvableCatalogs
* Wed Apr 12 2006 maw@suse.de
- New source drop (r27024) which:
- Fixes casting of IResolvables to Packages (#165532)
- Pretends we download zipp packages even though we don't.  libzypp
  downloads the mlater (#165597)
- Has RCE service fixes.
* Tue Apr 11 2006 maw@suse.de
- New source drop (r26951) which:
- Fixes patch updates
- Doesn't reload system packages after dry runs
- Allows yum services with https uris
- Only runs service-delete on umount and not dispose.
* Tue Apr 11 2006 thunder@suse.de
- New source drop (r26942):
- Don't call service-delete when disposing (#165103).
* Mon Apr 10 2006 thunder@suse.de
- New tarball (svn r26891):
- Yum sources only work with http/https/ftp (#163390).
- Zypp sources accept http/https/ftp.
* Sun Apr  9 2006 aj@suse.de
- Fix postun script to use correct name.
* Fri Apr  7 2006 thunder@suse.de
- New tarball (svn r26826):
- Version is now 7.1.1.0.
- Fix service autodetection (#164399).
- Fix resolvable deletion in the DB (#160225).
- Fix service-delete helper call.
- Fix zypp service (#156030).
- Pass --no-signature to transact helper if 'require-signatures' is
  set to false (#163862, #163864).
- Pass --test to transact helper for dry-run transactions.  Add a new
  'run-transaction-test' preference for this.
* Thu Apr  6 2006 maw@suse.de
- New source drop (r26745) which:
- Compares package arches against the system arch, not the distro
  one
- Only fixesup package names on Red Hat systems.
* Tue Apr  4 2006 maw@suse.de
- New source drop (r26656) which:
- Has an updated copyright string in Daemon Health
- Implements a service helper for service remover.
* Fri Mar 31 2006 maw@suse.de
- New source drop (r26565) which:
- Reverts lots of brokenness
* Fri Mar 31 2006 maw@suse.de
- New source drop (r26498) which:
- Actually writes out the zmd.sleeping file when we goto sleep,
  and ensure that it has correct permissions.
* Thu Mar 30 2006 aj@suse.de
- Package /var/run/zmd [#162079].
* Thu Mar 30 2006 maw@suse.de
- Teach zmd to restart when it's updated (#162043).
* Thu Mar 30 2006 thunder@suse.de
- New source drop (r26462) which:
- Adds arch filtering (#158187).
- Expires the web cache after refresh.
* Wed Mar 29 2006 maw@suse.de
- New source drop (r26368) which:
- Makes sure there is sufficient disk space before downloading
  packages
- Cleans the cache after each transaction
- Logs the mono version on startup
- Adds the preference cache-max-size-hard-limit
- Doesn't expire cache when coming out of sleep mode
* Mon Mar 27 2006 maw@suse.de
- New source drop (r26223) which:
- Adds summary and description fields for patches, patterns,
  and products.
- Package /var/cache/zmd (#159031).
- Package /etc/zmd/zmd.conf as a config file (#159677).
* Fri Mar 24 2006 maw@suse.de
- New source drop (r26139) which:
- Marks RemoteBundleManager.SubscribeCatalog with the subscribe
  privilege
- Applies Klaus' database patch
- Don't npe in QueryFiles if we have a broken query-files helper
* Thu Mar 23 2006 maw@suse.de
- New source drop (r26051) which:
- Fixes #159814
- Adds targets for Fedora Core 5
- Fixes the 'remote-enabled' preference
- Sets 'remote-enabled' to false by default
- Changes refresh-interval to 24 hours by default
- Supports RCE channels that colon-delimited targets
- Adds 'category' and 'status' to all resolvables
- Only matches system packages when only installed packages
  are queried
- Makes GetUpdates not include duplicate packages
- Various permissions fixes on remoting methods.
- Remove zmd.conf-path-in-manpage.patch
- Remove remote-enabled-false.patch
- Remove bla-blah.patch
* Sat Mar 18 2006 aj@suse.de
- Reduce BuildRequires.
* Sat Mar 18 2006 aj@suse.de
- Get rid of "blah blahb lah" debug output.
* Sat Mar 18 2006 maw@suse.de
- Added a patch that fixes the shown path of zmd.conf in the
  manpages. (158587)
- Added a patch that sets remote-enabled to False by default.
  (158592)
* Wed Mar 15 2006 maw@suse.de
- New source drop (r25671) which:
- Implements API to get patches which are supposed to be updated
- Adds query functionality for all types of resolvables for
  the xml-rpc interface.
* Tue Mar 14 2006 maw@suse.de
- New source drop which fixes #157811 (verified certs)
* Tue Mar 14 2006 maw@suse.de
-  Yet another source drop, contains changes necessary for
  the latest zen-updater source drop to build.
* Mon Mar 13 2006 maw@suse.de
- New source drop which removes further vestigal libredcarpet
  dependencies.
* Mon Mar 13 2006 maw@suse.de
- New source drop which:
- Adds a --disable-backend flag to configure so we can avoid
  building the librc-backend subpackage
- Adds a 'kind' field to resolvables
- Properly reloads installed packages after transactions
- Remove kind-attribute.diff, as it's now in svn
- Add a patchfor zmd.conf to require verified certificates (#156496)
- Remove the librc-backend subpackage sections from the .spec
- Build with the --disable-backend flag
- Remove libredcarpet from buildrequires.
* Sun Mar 12 2006 maw@suse.de
- New source drop which:
- Adds remoting API for querying patches, products, patterns
- Adds PatchStatus enu(M?)
- Run the 'update-status' helper when appropriate (bug #156420)
- Make remote transaction API take resolvables
- Update ostargets.xml for new distros (SLES/SLED 10, SUSE 10.1)
- Support of installation from multiple CDs
* Sun Mar 12 2006 kkaempf@suse.de
- add 'kind' attribute to resolvables table (#157497)
* Sat Mar 11 2006 aj@suse.de
- Really enable NetworkManager support.
* Sat Mar 11 2006 maw@suse.de
- New source drop which:
- Enables NetworkManager support
- Fixes SSL certificate error messages
- Fixes service autodetection
- Adds lock API to the xmlrpc layer
* Fri Mar 10 2006 maw@suse.de
- New source drop which:
- Has API changes for patches
- Fixes distro detection
* Thu Mar  9 2006 maw@suse.de
- New source drop (comes from zmd revision 25329 in svn) which:
- Makes sure zmd doesn't goto sleep during service mounts and
  refreshes
- Implements FTP support
- Fixes removing of "busy" services
- Fixes scheduler blackout period deadlock
- Sets the zmd process name correctly so that 'killall zmd'
  works and we have 'zmd' in ps and top
- Fixes the caching of compressed files
- Reworks YUM service suppport for better progress reporting
- Implements media changing support during transactions
- Fixes registration with the Novell Update service.
- Remove Klaus' patch, as its functionality is now in svn.
* Wed Mar  8 2006 kkaempf@suse.de
- add 'media_nr' attribute to resolvables table to make multi-CD
  installations possible. (#156060)
* Tue Mar  7 2006 maw@suse.de
- New source drop, which:
- Adds optional NetworkManager support
- Improves sleep behaviour, providing info to callers when it's
  waking up and hence will answer requests slowly at first
- Mark more API as callable for users with 'view' privs
- Improve remoting sponsoring
- Fix the RCE parser
- Don't attempt to sleep while shutdown is blocked
- Bugfixes for the scheduler
- (incomplete) support for media changes during transactions
- Fix the XML-RPC API for adding yum services and
  marshalling services with no name
- Remove the zmd-zypp patch, as it's no longer necessary
* Thu Mar  2 2006 maw@suse.de
- New source drop, which:
- Adds remoting API for new resolvables (patch, pattern, product)
- Implements YUM services support
- Implements Novell Update services suupport
- Implement zypp service support for the libzypp backend
- Temporary patch needed to get zen-updater to build (will go
  away when everything's once more built out of the same svn
  branch).
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Tue Feb 21 2006 thunder@suse.de
- New source drop, fixes a problem where zmd will never go to sleep
  when zen-updater is running, and adds service type autodetection.
- Remove zmd-makefile-chown.patch, it is upstream now.
* Mon Feb 20 2006 thunder@suse.de
- New source drop.
- Rename zmd-makefile.patch to zmd-makefile-docdir.patch, for
  clarity.
- Add a zmd-makefile-chown.patch to remove a mistaken chown in the
  makefile.
* Fri Feb 17 2006 maw@suse.de
- New source drop.
- Package new files in libdir and /etc.
* Tue Feb 14 2006 maw@suse.de
- Need to package /usr/share/man/man8/zmd.gz.
* Tue Feb 14 2006 ro@suse.de
- removed non-existant dirs from filelist
* Tue Feb 14 2006 maw@suse.de
- New source drop.
- Really correct the names of the authors this time.
* Thu Feb  9 2006 maw@suse.de
- New source drop.  Note that the tarball is now 7.1.1, matching
  the package's version.
- Removed zmd-defender.diff, as the new tarball includes it.
- Corrected the names of the authors.
* Wed Feb  8 2006 kkaempf@suse.de
- add zmd-defender.diff to include libzypp related backend
  changes.
- bump version to 7.1.1 for Code10
* Sat Feb  4 2006 maw@suse.de
- New source drop.
* Mon Jan 30 2006 thunder@suse.de
- New source drop.
- Changed to depend on libredcarpet >= 7.0.0, not libredcarpet7.
- Removed squilte lib copy patch, it can be disabled via configure.
* Mon Jan 30 2006 kkaempf@suse.de
- fix spec file and filelist.
* Sun Jan 29 2006 kkaempf@suse.de
- splitt off zmd-librc-backend to ease transition to
  zmd-zypp-backend
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 26 2006 maw@suse.de
- New source drop.
* Tue Jan 24 2006 thunder@suse.de
- Glob all files in %%_libdir/zmd/* into the main package.  We can
  do that now, because the devel package doesn't grab anything from
  there.
* Fri Jan 20 2006 maw@suse.de
- Doh.  Install find-file to $LIBDIR/zmd.
* Fri Jan 20 2006 maw@suse.de
- New source drop.
* Fri Jan 20 2006 maw@novell.com
- Pass --localstatedir=/var to configure
- Package $PREFIX/lib/zmd/find-file
* Tue Jan 17 2006 thunder@suse.de
- Remove $libdir/*.so as well.
* Tue Jan 17 2006 thunder@suse.de
- Don't package up $libdir/*.so.*, we don't copy those files anymore
* Tue Jan 17 2006 thunder@suse.de
- New source drop, really doesn't depend on zmd-logger now.
* Mon Jan 16 2006 thunder@suse.de
- Remove zmd-logger build-dependency, it is not needed in latest
  code drop.
- Add --disable-lib-copy configure flag, to make it not copy
  dependency libs into zmd's libdir.
* Mon Jan 16 2006 kkaempf@suse.de
- add sqlite, log4net, zmd-logger to neededforbuild
- fix filelist
* Mon Jan 16 2006 thunder@suse.de
- New source drop.
* Tue Jan 10 2006 thunder@suse.de
- sqlite library is being installed ti $prefix/lib/zmd, so grab it
  from there instead of $libdir.
* Tue Jan 10 2006 thunder@suse.de
- New tarball with x86_64 fixes
- Mono 1.1.13 support is in a patch now
* Tue Jan 10 2006 thunder@suse.de
- Updated tarball with fixes for mono 1.1.13.
* Sat Jan  7 2006 thunder@suse.de
- Correctly call make with the SQLITE_* variables pointing to the
  sqlite we build.
* Sat Jan  7 2006 thunder@suse.de
- Update to version 7.1.0
- Add our own sqlite
* Fri Dec 23 2005 gekker@suse.de
- Take a new tarball that fixes open-carpet support
- Install files where zen wants them
* Mon Dec 19 2005 gekker@suse.de
- Update to version 7.0.2 and rename zmd for ZLM
* Fri Oct 14 2005 hvogel@suse.de
- Update to version 2.4.9
* Tue Aug 23 2005 hvogel@suse.de
- add rcd-2.4.8-tambet-ref-before-idle.patch
    rcd-2.4.8-maw-max-downloads.patch
* Thu Aug 18 2005 ro@suse.de
- updated rcd-2.4.8-tambet-memory-management-95454.patch
* Wed Aug 17 2005 ro@suse.de
- added patch for memory management (#95454)
* Mon Aug 15 2005 ro@suse.de
- update to version 2.4.8
- use patches from maw (basically identical to ours)
- removed upstreamed rcd-2.4.7-danw-noexec.patch
- remove upstreamed rcd-2.4.6-tambet-use-cache-on-error
* Sat Aug 13 2005 aj@suse.de
- Add lzo and lzo-devel to neededforbuild.
* Wed Aug 10 2005 hvogel@suse.de
- update to version 2.4.7
* Mon Jul 25 2005 mmj@suse.de
- fix build
* Wed Jun 29 2005 hvogel@suse.de
- move all devel files into the devel package
- better permissions for config files
- add devel subpackage dependencies
* Tue Jun 28 2005 gekker@suse.de
- Add patch for close exec (62176).
* Thu Jun 23 2005 hvogel@suse.de
- dont mark logrotate file as config
* Wed Jun 15 2005 gekker@suse.de
- Increase statvfs interval (88434).
* Thu May 26 2005 gekker@suse.de
- Use cache on error (84507).
* Tue Apr 19 2005 hvogel@suse.de
- update to version 2.4.6
* Sun Apr  3 2005 aj@suse.de
- Fix building with GCC4.
* Thu Mar 10 2005 hvogel@suse.de
- fix http authenticate handling
* Thu Mar 10 2005 hvogel@suse.de
- its libsoup and libsoup-devel not libsoup and libsoup-rcd
* Thu Mar 10 2005 hvogel@suse.de
- require ping pong. libsoup-rcd -> libsoup again.
* Mon Mar  7 2005 hvogel@suse.de
- require libsoup-rcd instad of libsoup because rcd does not
  work with newer libsoup
* Thu Feb  3 2005 hvogel@suse.de
- update to version 2.4.5 to address the following bugs:
  * unable to auth error. (Ximian #69508)
  * rcd:rpmte.c assertrion failure. (Ximian #69672)
  * Don't try to download patches from open-carpet server.
  * Fix memory leaks in YOU module. (SUSE #48961)
  * Fix a memory leak in apt code. (SUSE #48961)
* Thu Nov  4 2004 hvogel@suse.de
- update to version 2.4.4
* Thu Nov  4 2004 hvogel@suse.de
- update to version 2.4.3 which includes all patches except
  the arch patch
* Tue Oct 26 2004 hvogel@suse.de
- add yast devel packages to nfb for patch support
* Sun Oct 24 2004 clahey@suse.de
- Added two patches from the redcarpet team to fix bugs in you.
  Ximian bug #65718.
* Fri Oct 22 2004 hvogel@suse.de
- dont link libm static on ppc/ppc64.
* Tue Oct 12 2004 clahey@suse.de
- Set new default server. Ximian bug 68125
* Fri Sep 24 2004 hvogel@suse.de
- add --enable-patches
* Tue Sep  7 2004 ro@suse.de
- use -fno-strict-aliasing until source has been fixed
* Mon Sep  6 2004 hvogel@suse.de
- update to version 2.4.0
* Tue Aug 31 2004 ro@suse.de
- use libsoup instead of obsolete libsoup2
- remove "-lpthread" from LIBSOUP_LIBS, pthread is there anyway
  and can not be linked in statically
* Mon Aug 30 2004 kukuk@suse.de
- Add libopencdk-devel to neededforbuild
* Thu Aug 26 2004 hvogel@suse.de
- add patch to avoid an architecture change (i586<->i686) during
  package update
* Thu Jul 15 2004 hvogel@suse.de
- add libgcrypt-devel and lipgpg-error-devel to nfb
* Fri Jun 25 2004 clahey@suse.de
- Set default host to https://www.novell.com/data
* Tue Jun  8 2004 clahey@suse.de
- Turn on rcd in %%post.
* Tue Mar 16 2004 hvogel@suse.de
- pass %%_libdir to configure
* Tue Mar 16 2004 kkaempf@suse.de
- libsoup2.2 -> libsoup2 in neededforbuild
* Tue Mar 16 2004 kkaempf@suse.de
- update to 2.0.2
- split off non-rcd specific packages (i.e. xmlrpc-c)
* Thu May 15 2003 ug@suse.de
- initial for SLD (SL Desktop)
